@extends(Theme::viewName('layout'))
@section('title', trans('admin.delete_comment', ['author_name' => $comment->authorDisplayName()]))

@section('breadcrumb')
    <li class="breadcrumb-item"><a href="{{ route('home') }}"><i class="fa fa-fw fa-home"></i></a></li>
    <li class="breadcrumb-item"><a href="{{ route('admin') }}">@lang('navigation.breadcrumb.admin')</a></li>
    <li class="breadcrumb-item"><a href="{{ route('comments.index') }}">@lang('navigation.breadcrumb.comments')</a></li>
    <li class="breadcrumb-item active">@lang('navigation.breadcrumb.delete_comment')</li>
@endsection

@section('content')
    <div class="container">
        <div class="row">
            <div class="col-md-8 ml-md-auto mr-md-auto">
                <div class="card bg-danger">
                    <div class="card-header text-white">@yield('title')</div>
                    <div class="card-body bg-light">
                        <p>@lang('admin.delete_comment_confirm', ['author_name' => $comment->authorDisplayName()])</p>

                        {!! $comment->textAsHtml() !!}

                        <p class="text-danger"><b>@lang('admin.delete_comment_warning')</b></p>

                        <div class="text-right">
                            <form action="{{ route('comments.destroy', [$comment->id]) }}" method="post">
                                {{ csrf_field() }}
                                {{ method_field('DELETE') }}
                                <a href="{{ route('comments.index') }}" class="btn btn-link">@lang('forms.cancel_action')</a>
                                <button type="submit" class="btn btn-danger"><i class="fa fa-fw fa-trash"></i> @lang('forms.delete_action')</button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection