<div class="row">
    <div class="col-md-6">
        <div class="form-group">
            <label class="form-control-label" for="access-key">@lang('forms.storage_application_key_id_label')</label>
            <input type="text" class="form-control{{ $errors->has('access_key') ? ' is-invalid' : '' }}" id="access-key" name="access_key" value="{{ old('access_key', $storage->access_key) }}">
            <small class="form-text text-muted">@lang('admin.storage_backblaze_access_key_id_help')</small>

            @if ($errors->has('access_key'))
                <div class="invalid-feedback">
                    <strong>{{ $errors->first('access_key') }}</strong>
                </div>
            @endif
        </div>
    </div>
    <div class="col-md-6">
        <div class="form-group">
            <label class="form-control-label" for="secret-key">@lang('forms.storage_application_key_label')</label>
            <input type="text" class="form-control{{ $errors->has('secret_key') ? ' is-invalid' : '' }}" id="secret-key" name="secret_key" value="{{ old('secret_key', $storage->secret_key) }}">

            @if ($errors->has('secret_key'))
                <div class="invalid-feedback">
                    <strong>{{ $errors->first('secret_key') }}</strong>
                </div>
            @endif
        </div>
    </div>
</div>

<div class="row">
    <div class="col-md-6">
        <div class="form-group">
            <label class="form-control-label" for="container-name">@lang('forms.storage_bucket_name_label')</label>
            <input type="text" class="form-control{{ $errors->has('container_name') ? ' is-invalid' : '' }}" id="container-name" name="container_name" value="{{ old('container_name', $storage->container_name) }}">

            @if ($errors->has('container_name'))
                <div class="invalid-feedback">
                    <strong>{{ $errors->first('container_name') }}</strong>
                </div>
            @endif
        </div>
    </div>
    <div class="col-md-6">
        <div class="form-group">
            <label class="form-control-label" for="b2-bucket-type">@lang('forms.storage_b2_bucket_type.label')</label>
            <select class="form-control{{ $errors->has('b2_bucket_type') ? ' is-invalid' : '' }}" id="b2-bucket-type" name="b2_bucket_type">
                <option value="0"{{ old('b2_bucket_type', $storage->b2_bucket_type) === 0 ? ' selected="selected"' : '' }}>@lang('forms.storage_b2_bucket_type.autodetect')</option>
                <option value="1"{{ old('b2_bucket_type', $storage->b2_bucket_type) === 1 ? ' selected="selected"' : '' }}>@lang('forms.storage_b2_bucket_type.private')</option>
                <option value="2"{{ old('b2_bucket_type', $storage->b2_bucket_type) === 2 ? ' selected="selected"' : '' }}>@lang('forms.storage_b2_bucket_type.public')</option>
            </select>

            @if ($errors->has('b2_bucket_type'))
                <div class="invalid-feedback">
                    <strong>{{ $errors->first('b2_bucket_type') }}</strong>
                </div>
            @endif
        </div>
    </div>
</div>